## kf6-ktexttemplate 6.3.0

=== debian/changelog ===
kf6-ktexttemplate (6.3.0-1ubuntu1) oracular; urgency=medium

  * Mark some symbols as optional to fix FTBFS on Ubuntu buildds.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Jun 2024 07:40:16 +0100

kf6-ktexttemplate (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:53:04 +0200

kf6-ktexttemplate (6.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1068519)

 -- Patrick Franz <deltaone@debian.org>  Sun, 07 Apr 2024 16:03:08 +0200
