## kf6-ktexttemplate 6.6.0

=== debian/changelog ===
kf6-ktexttemplate (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:54 +0100

kf6-ktexttemplate (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)
  * Disable tests at build time.

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:40 +0100

kf6-ktexttemplate (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:56 +0100
