## kf6-ktexttemplate 6.10.0

=== debian/changelog ===
kf6-ktexttemplate (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:23:29 +0100

kf6-ktexttemplate (6.8.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Drop -mno-late-ldp-fusion from the CXXFLAGS on arm64, as it is no more
    needed now. (Closes: #1086759)
  * Mark some symbols as optional: they are exported only when the tests are
    built.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Dec 2024 09:14:15 +0100

kf6-ktexttemplate (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 11:59:55 +0100

kf6-ktexttemplate (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

kf6-ktexttemplate (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.
  * Replace -O1 with -mno-late-ldp-fusion which is enough to fix the build on
    arm64.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:00:01 +0200

kf6-ktexttemplate (6.5.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Disable revert to -O1 optimisation level on arm64, -O2 breaks the
    testsuite.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Aug 2024 23:15:56 +0200

kf6-ktexttemplate (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:00 +0200

kf6-ktexttemplate (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:11 +0200
