=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DBUILD_QCH=ON
+
+override_dh_auto_test:
+	# Disable auto tests at build time
+	:
